# Intent Feedback

Armazena o feedback do usuário acerca da última intenção identificada.

​

```
[
    {
        "name": "intent_feedback",
        "parameters": {
            "feedback": 1,
            "last_intent_id": "<? $last_intent_id ?>"
        },
        "result_variable": "feedback_response"
    }
]
```

## Atributos <a href="#atributos" id="atributos"></a>

* **name:** intent\_feedback
* **parameters:**
  * **feedback:** 1: positivo || 0: negativo
  * **last\_intent\_id:** ID da última intent identificada, que receberá o feedback
* **result\_variable:** variável de contexto que receberá o resultado da operação. Em caso de sucesso, essa variável conterá o seguinte JSON:

  ```
  {  "code": 200,  "status": "ok"}
  ```

## Exemplo <a href="#exemplo" id="exemplo"></a>

Um exemplo de uso seria após uma pergunta, cuja resposta pode ser "Sim" ou "Não". Nesse caso, o input [`quick_replies`](https://features/builder/input/quick_replies.md) antecederia o uso de uma ação `intent_feedback`. No Builder, o fluxo é esse:

O nó "Satisfação" é onde está o input `quick_replies`

O nó "Negativa" tem o seguinte JSON:

```
[    {        "name": "intent_feedback",        "parameters": {            "feedback": 0,            "last_intent_id": "<? $last_message_id ?>"        },        "result_variable": "feedback"    }]
```

O nó "Positiva", tem o seguinte JSON:

```
[    {        "name": "intent_feedback",        "parameters": {            "feedback": 1,            "last_intent_id": "<? $last_message_id ?>"        },        "result_variable": "feedback"    }]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altu.d1.cx/build/assistentes/builder/componentes/actions/intent_feedback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
